> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goldsky.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pipeline status

> Get the current runtime status of a pipeline.



## OpenAPI

````yaml /turbo-pipelines/api/openapi.json get /pipelines/{name}/status
openapi: 3.1.0
info:
  title: Goldsky API
  description: >-
    REST API for managing Goldsky pipelines. Create, deploy, monitor, and manage
    data pipelines programmatically.


    For a full introduction to Turbo Pipelines, see the [Turbo Pipelines
    documentation](https://docs.goldsky.com/turbo-pipelines/introduction).
  version: 1.0.0
  contact:
    name: Goldsky Support
    email: support@goldsky.com
    url: https://docs.goldsky.com
servers:
  - url: https://api.goldsky.com/api/v1
    description: Goldsky API
security:
  - BearerAuth: []
tags:
  - name: Pipelines
    description: >-
      Create, read, update, and delete pipelines. Manage pipeline lifecycle
      (pause, resume, restart).
  - name: Pipeline Logs
    description: Retrieve pipeline execution logs.
  - name: Pipeline Status
    description: Query pipeline runtime status and state information.
paths:
  /pipelines/{name}/status:
    get:
      tags:
        - Pipeline Status
      summary: Get pipeline status
      description: Get the current runtime status of a pipeline.
      parameters:
        - schema:
            type: string
          in: path
          name: name
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  status:
                    anyOf:
                      - type: string
                        enum:
                          - RUNNING
                      - type: string
                        enum:
                          - PAUSED
                      - type: string
                        enum:
                          - RESTARTING
                      - type: string
                        enum:
                          - DEPLOYING
                      - type: string
                        enum:
                          - STOPPED
                      - type: string
                        enum:
                          - FAILED
                      - type: string
                        enum:
                          - UNKNOWN
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                      required:
                        - message
                required:
                  - name
                  - status
                  - errors
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        API token generated from the [Goldsky
        Dashboard](https://app.goldsky.com/dashboard/settings/project). Pass as:
        Authorization: Bearer <token>

````